# QFont Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QFont()
- void QFont(QFont arg__1)
- void QFont(QFont arg__1, QPaintDevice pd)
- void QFont(String family, int pointSize, int weight, bool italic)

### Constructor Properties

- prototype: The QFont prototype object
- void cacheStatistics()
- void cleanup()
- void initialize()
- void insertSubstitution(String arg__1, String arg__2)
- void insertSubstitutions(String arg__1, List arg__2)
- void removeSubstitution(String arg__1)
- String substitute(String arg__1)
- List substitutes(String arg__1)
- List substitutions()
- PreferDefault = 0x0001
- PreferBitmap = 0x0002
- PreferDevice = 0x0004
- PreferOutline = 0x0008
- ForceOutline = 0x0010
- PreferMatch = 0x0020
- PreferQuality = 0x0040
- PreferAntialias = 0x0080
- NoAntialias = 0x0100
- OpenGLCompatible = 0x0200
- ForceIntegerMetrics = 0x0400
- NoFontMerging = 0x8000
- StyleStrategy( value )
- PercentageSpacing
- AbsoluteSpacing
- SpacingType( value )
- Helvetica
- Times
- Courier
- OldEnglish
- System
- AnyStyle
- Cursive
- Monospace
- Fantasy
- StyleHint( value )
- Light = 25
- Normal = 50
- DemiBold = 63
- Bold = 75
- Black = 87
- Weight( value )
- MixedCase
- AllUppercase
- AllLowercase
- SmallCaps
- Capitalize
- Capitalization( value )
- UltraCondensed = 50
- ExtraCondensed = 62
- Condensed = 75
- SemiCondensed = 87
- Unstretched = 100
- SemiExpanded = 112
- Expanded = 125
- ExtraExpanded = 150
- UltraExpanded = 200
- Stretch( value )
- StyleNormal
- StyleItalic
- StyleOblique
- Style( value )

### Prototype Object Properties

- bool bold()
- Capitalization capitalization()
- String defaultFamily()
- bool exactMatch()
- String family()
- bool fixedPitch()
- bool fromString(String arg__1)
- Qt::HANDLE handle()
- bool isCopyOf(QFont arg__1)
- bool italic()
- bool kerning()
- String key()
- String lastResortFamily()
- String lastResortFont()
- qreal letterSpacing()
- SpacingType letterSpacingType()
- bool operator_equal(QFont arg__1)
- bool operator_less(QFont arg__1)
- bool overline()
- int pixelSize()
- int pointSize()
- qreal pointSizeF()
- bool rawMode()
- String rawName()
- void readFrom(QDataStream arg__1)
- uint resolve()
- void setBold(bool arg__1)
- void setCapitalization(Capitalization arg__1)
- void setFamily(String arg__1)
- void setFixedPitch(bool arg__1)
- void setItalic(bool b)
- void setKerning(bool arg__1)
- void setLetterSpacing(SpacingType type, qreal spacing)
- void setOverline(bool arg__1)
- void setPixelSize(int arg__1)
- void setPointSize(int arg__1)
- void setPointSizeF(qreal arg__1)
- void setRawMode(bool arg__1)
- void setRawName(String arg__1)
- void setStretch(int arg__1)
- void setStrikeOut(bool arg__1)
- void setStyle(Style style)
- void setStyleHint(StyleHint arg__1, StyleStrategy arg__2)
- void setStyleName(String arg__1)
- void setStyleStrategy(StyleStrategy s)
- void setUnderline(bool arg__1)
- void setWeight(int arg__1)
- void setWordSpacing(qreal spacing)
- int stretch()
- bool strikeOut()
- Style style()
- StyleHint styleHint()
- String styleName()
- StyleStrategy styleStrategy()
- String toString()
- bool underline()
- int weight()
- qreal wordSpacing()
- void writeTo(QDataStream arg__1)

### Instance Properties

QFont objects have no special properties beyond those inherited from the QFont prototype object.